Promote an Agent to another Workspace
curl --request POST \
--url https://api.checkfu.com/v1/agents/{agent_id}/promote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'checkfu-version: <checkfu-version>' \
--header 'idempotency-key: <idempotency-key>' \
--data '
{
"target_workspace_id": "<string>",
"source_version": 123,
"mappings": {
"agents": [
{
"source_id": "<string>",
"source_version": 123,
"target_id": "<string>",
"target_version": 123
}
],
"connections": [
{
"source_id": "<string>",
"target_id": "<string>"
}
],
"skills": [
{
"source_id": "<string>",
"source_version": "<string>",
"target_id": "<string>",
"target_version": "<string>"
}
],
"harness": {
"source": "<string>",
"target": "<string>"
},
"tunnels": [
{
"source_url": "<string>",
"target_url": "<string>"
}
]
}
}
'import requests
url = "https://api.checkfu.com/v1/agents/{agent_id}/promote"
payload = {
"target_workspace_id": "<string>",
"source_version": 123,
"mappings": {
"agents": [
{
"source_id": "<string>",
"source_version": 123,
"target_id": "<string>",
"target_version": 123
}
],
"connections": [
{
"source_id": "<string>",
"target_id": "<string>"
}
],
"skills": [
{
"source_id": "<string>",
"source_version": "<string>",
"target_id": "<string>",
"target_version": "<string>"
}
],
"harness": {
"source": "<string>",
"target": "<string>"
},
"tunnels": [
{
"source_url": "<string>",
"target_url": "<string>"
}
]
}
}
headers = {
"checkfu-version": "<checkfu-version>",
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'checkfu-version': '<checkfu-version>',
'idempotency-key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
target_workspace_id: '<string>',
source_version: 123,
mappings: {
agents: [
{
source_id: '<string>',
source_version: 123,
target_id: '<string>',
target_version: 123
}
],
connections: [{source_id: '<string>', target_id: '<string>'}],
skills: [
{
source_id: '<string>',
source_version: '<string>',
target_id: '<string>',
target_version: '<string>'
}
],
harness: {source: '<string>', target: '<string>'},
tunnels: [{source_url: '<string>', target_url: '<string>'}]
}
})
};
fetch('https://api.checkfu.com/v1/agents/{agent_id}/promote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checkfu.com/v1/agents/{agent_id}/promote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target_workspace_id' => '<string>',
'source_version' => 123,
'mappings' => [
'agents' => [
[
'source_id' => '<string>',
'source_version' => 123,
'target_id' => '<string>',
'target_version' => 123
]
],
'connections' => [
[
'source_id' => '<string>',
'target_id' => '<string>'
]
],
'skills' => [
[
'source_id' => '<string>',
'source_version' => '<string>',
'target_id' => '<string>',
'target_version' => '<string>'
]
],
'harness' => [
'source' => '<string>',
'target' => '<string>'
],
'tunnels' => [
[
'source_url' => '<string>',
'target_url' => '<string>'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"checkfu-version: <checkfu-version>",
"idempotency-key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.checkfu.com/v1/agents/{agent_id}/promote"
payload := strings.NewReader("{\n \"target_workspace_id\": \"<string>\",\n \"source_version\": 123,\n \"mappings\": {\n \"agents\": [\n {\n \"source_id\": \"<string>\",\n \"source_version\": 123,\n \"target_id\": \"<string>\",\n \"target_version\": 123\n }\n ],\n \"connections\": [\n {\n \"source_id\": \"<string>\",\n \"target_id\": \"<string>\"\n }\n ],\n \"skills\": [\n {\n \"source_id\": \"<string>\",\n \"source_version\": \"<string>\",\n \"target_id\": \"<string>\",\n \"target_version\": \"<string>\"\n }\n ],\n \"harness\": {\n \"source\": \"<string>\",\n \"target\": \"<string>\"\n },\n \"tunnels\": [\n {\n \"source_url\": \"<string>\",\n \"target_url\": \"<string>\"\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("checkfu-version", "<checkfu-version>")
req.Header.Add("idempotency-key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.checkfu.com/v1/agents/{agent_id}/promote")
.header("checkfu-version", "<checkfu-version>")
.header("idempotency-key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"target_workspace_id\": \"<string>\",\n \"source_version\": 123,\n \"mappings\": {\n \"agents\": [\n {\n \"source_id\": \"<string>\",\n \"source_version\": 123,\n \"target_id\": \"<string>\",\n \"target_version\": 123\n }\n ],\n \"connections\": [\n {\n \"source_id\": \"<string>\",\n \"target_id\": \"<string>\"\n }\n ],\n \"skills\": [\n {\n \"source_id\": \"<string>\",\n \"source_version\": \"<string>\",\n \"target_id\": \"<string>\",\n \"target_version\": \"<string>\"\n }\n ],\n \"harness\": {\n \"source\": \"<string>\",\n \"target\": \"<string>\"\n },\n \"tunnels\": [\n {\n \"source_url\": \"<string>\",\n \"target_url\": \"<string>\"\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checkfu.com/v1/agents/{agent_id}/promote")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["checkfu-version"] = '<checkfu-version>'
request["idempotency-key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"target_workspace_id\": \"<string>\",\n \"source_version\": 123,\n \"mappings\": {\n \"agents\": [\n {\n \"source_id\": \"<string>\",\n \"source_version\": 123,\n \"target_id\": \"<string>\",\n \"target_version\": 123\n }\n ],\n \"connections\": [\n {\n \"source_id\": \"<string>\",\n \"target_id\": \"<string>\"\n }\n ],\n \"skills\": [\n {\n \"source_id\": \"<string>\",\n \"source_version\": \"<string>\",\n \"target_id\": \"<string>\",\n \"target_version\": \"<string>\"\n }\n ],\n \"harness\": {\n \"source\": \"<string>\",\n \"target\": \"<string>\"\n },\n \"tunnels\": [\n {\n \"source_url\": \"<string>\",\n \"target_url\": \"<string>\"\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"source": {
"workspace_id": "<string>",
"agent_id": "<string>",
"version": 123
},
"target": {
"id": "<string>",
"archived_at": "<string>",
"created_at": "<string>",
"connection_bindings": [
{
"name": "<string>",
"connection_id": "<string>",
"provider": "<string>",
"provider_package_digest": "<string>",
"connection_revision_id": "<string>",
"capability_snapshot_id": "<string>",
"capability_snapshot_digest": "<string>",
"tools": [
{
"name": "<string>",
"digest": "<string>"
}
]
}
],
"model": {
"id": "<string>",
"effort": {
"type": "low"
},
"inference_geo": "global",
"speed": "standard",
"provider": "<string>",
"model_credential_id": "<string>"
},
"name": "<string>",
"harness": "<string>",
"description": "<string>",
"mcp_servers": [
{
"type": "url",
"name": "<string>",
"url": "<string>"
}
],
"metadata": {},
"skills": [
{
"type": "anthropic",
"skill_id": "<string>",
"version": "<string>"
}
],
"system": "<string>",
"tools": [
{
"type": "agent_toolset_20260401",
"configs": [
{
"name": "bash",
"type": "bash",
"enabled": true,
"permission_policy": {
"type": "auto"
}
}
],
"default_config": {
"enabled": true,
"permission_policy": {
"type": "auto"
}
}
}
],
"workload_trust": {
"declaration": {
"value": "trusted",
"recorded_at": "<string>"
},
"facts": {
"authorship": "organization_engineer",
"source_review": "workspace_controlled",
"execution_plane": "organization_local",
"input_exposure": {
"source_build": "controlled",
"ingress": "controlled",
"resources": "controlled",
"installations": "controlled",
"content_capabilities": "controlled"
}
},
"effective": "trusted"
},
"type": "agent",
"updated_at": "<string>",
"version": 123,
"skill_selection": {
"type": "listed",
"skills": [
{
"type": "anthropic",
"skill_id": "<string>",
"version": "<string>"
}
]
}
}
}{
"error": {
"type": "invalid_request_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed",
"code": "validation.malformed"
},
"type": "error",
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "authentication_error",
"code": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
},
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "permission_error",
"code": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
},
"request_id": "<string>"
}{
"error": {
"type": "not_found_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found",
"code": "validation.not_found"
},
"type": "error",
"request_id": "<string>"
}{
"error": {
"type": "conflict_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-conflict",
"code": "validation.conflict"
},
"type": "error",
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "rate_limit_error",
"code": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
},
"request_id": "<string>"
}{
"error": {
"type": "api_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal",
"code": "runtime.internal"
},
"type": "error",
"request_id": "<string>"
}Promote an Agent to another Workspace
Copies one exact current Agent Version into a distinct Agent in an explicitly named target Workspace.
POST
/
v1
/
agents
/
{agent_id}
/
promote
Promote an Agent to another Workspace
curl --request POST \
--url https://api.checkfu.com/v1/agents/{agent_id}/promote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'checkfu-version: <checkfu-version>' \
--header 'idempotency-key: <idempotency-key>' \
--data '
{
"target_workspace_id": "<string>",
"source_version": 123,
"mappings": {
"agents": [
{
"source_id": "<string>",
"source_version": 123,
"target_id": "<string>",
"target_version": 123
}
],
"connections": [
{
"source_id": "<string>",
"target_id": "<string>"
}
],
"skills": [
{
"source_id": "<string>",
"source_version": "<string>",
"target_id": "<string>",
"target_version": "<string>"
}
],
"harness": {
"source": "<string>",
"target": "<string>"
},
"tunnels": [
{
"source_url": "<string>",
"target_url": "<string>"
}
]
}
}
'import requests
url = "https://api.checkfu.com/v1/agents/{agent_id}/promote"
payload = {
"target_workspace_id": "<string>",
"source_version": 123,
"mappings": {
"agents": [
{
"source_id": "<string>",
"source_version": 123,
"target_id": "<string>",
"target_version": 123
}
],
"connections": [
{
"source_id": "<string>",
"target_id": "<string>"
}
],
"skills": [
{
"source_id": "<string>",
"source_version": "<string>",
"target_id": "<string>",
"target_version": "<string>"
}
],
"harness": {
"source": "<string>",
"target": "<string>"
},
"tunnels": [
{
"source_url": "<string>",
"target_url": "<string>"
}
]
}
}
headers = {
"checkfu-version": "<checkfu-version>",
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'checkfu-version': '<checkfu-version>',
'idempotency-key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
target_workspace_id: '<string>',
source_version: 123,
mappings: {
agents: [
{
source_id: '<string>',
source_version: 123,
target_id: '<string>',
target_version: 123
}
],
connections: [{source_id: '<string>', target_id: '<string>'}],
skills: [
{
source_id: '<string>',
source_version: '<string>',
target_id: '<string>',
target_version: '<string>'
}
],
harness: {source: '<string>', target: '<string>'},
tunnels: [{source_url: '<string>', target_url: '<string>'}]
}
})
};
fetch('https://api.checkfu.com/v1/agents/{agent_id}/promote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checkfu.com/v1/agents/{agent_id}/promote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target_workspace_id' => '<string>',
'source_version' => 123,
'mappings' => [
'agents' => [
[
'source_id' => '<string>',
'source_version' => 123,
'target_id' => '<string>',
'target_version' => 123
]
],
'connections' => [
[
'source_id' => '<string>',
'target_id' => '<string>'
]
],
'skills' => [
[
'source_id' => '<string>',
'source_version' => '<string>',
'target_id' => '<string>',
'target_version' => '<string>'
]
],
'harness' => [
'source' => '<string>',
'target' => '<string>'
],
'tunnels' => [
[
'source_url' => '<string>',
'target_url' => '<string>'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"checkfu-version: <checkfu-version>",
"idempotency-key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.checkfu.com/v1/agents/{agent_id}/promote"
payload := strings.NewReader("{\n \"target_workspace_id\": \"<string>\",\n \"source_version\": 123,\n \"mappings\": {\n \"agents\": [\n {\n \"source_id\": \"<string>\",\n \"source_version\": 123,\n \"target_id\": \"<string>\",\n \"target_version\": 123\n }\n ],\n \"connections\": [\n {\n \"source_id\": \"<string>\",\n \"target_id\": \"<string>\"\n }\n ],\n \"skills\": [\n {\n \"source_id\": \"<string>\",\n \"source_version\": \"<string>\",\n \"target_id\": \"<string>\",\n \"target_version\": \"<string>\"\n }\n ],\n \"harness\": {\n \"source\": \"<string>\",\n \"target\": \"<string>\"\n },\n \"tunnels\": [\n {\n \"source_url\": \"<string>\",\n \"target_url\": \"<string>\"\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("checkfu-version", "<checkfu-version>")
req.Header.Add("idempotency-key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.checkfu.com/v1/agents/{agent_id}/promote")
.header("checkfu-version", "<checkfu-version>")
.header("idempotency-key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"target_workspace_id\": \"<string>\",\n \"source_version\": 123,\n \"mappings\": {\n \"agents\": [\n {\n \"source_id\": \"<string>\",\n \"source_version\": 123,\n \"target_id\": \"<string>\",\n \"target_version\": 123\n }\n ],\n \"connections\": [\n {\n \"source_id\": \"<string>\",\n \"target_id\": \"<string>\"\n }\n ],\n \"skills\": [\n {\n \"source_id\": \"<string>\",\n \"source_version\": \"<string>\",\n \"target_id\": \"<string>\",\n \"target_version\": \"<string>\"\n }\n ],\n \"harness\": {\n \"source\": \"<string>\",\n \"target\": \"<string>\"\n },\n \"tunnels\": [\n {\n \"source_url\": \"<string>\",\n \"target_url\": \"<string>\"\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checkfu.com/v1/agents/{agent_id}/promote")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["checkfu-version"] = '<checkfu-version>'
request["idempotency-key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"target_workspace_id\": \"<string>\",\n \"source_version\": 123,\n \"mappings\": {\n \"agents\": [\n {\n \"source_id\": \"<string>\",\n \"source_version\": 123,\n \"target_id\": \"<string>\",\n \"target_version\": 123\n }\n ],\n \"connections\": [\n {\n \"source_id\": \"<string>\",\n \"target_id\": \"<string>\"\n }\n ],\n \"skills\": [\n {\n \"source_id\": \"<string>\",\n \"source_version\": \"<string>\",\n \"target_id\": \"<string>\",\n \"target_version\": \"<string>\"\n }\n ],\n \"harness\": {\n \"source\": \"<string>\",\n \"target\": \"<string>\"\n },\n \"tunnels\": [\n {\n \"source_url\": \"<string>\",\n \"target_url\": \"<string>\"\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"source": {
"workspace_id": "<string>",
"agent_id": "<string>",
"version": 123
},
"target": {
"id": "<string>",
"archived_at": "<string>",
"created_at": "<string>",
"connection_bindings": [
{
"name": "<string>",
"connection_id": "<string>",
"provider": "<string>",
"provider_package_digest": "<string>",
"connection_revision_id": "<string>",
"capability_snapshot_id": "<string>",
"capability_snapshot_digest": "<string>",
"tools": [
{
"name": "<string>",
"digest": "<string>"
}
]
}
],
"model": {
"id": "<string>",
"effort": {
"type": "low"
},
"inference_geo": "global",
"speed": "standard",
"provider": "<string>",
"model_credential_id": "<string>"
},
"name": "<string>",
"harness": "<string>",
"description": "<string>",
"mcp_servers": [
{
"type": "url",
"name": "<string>",
"url": "<string>"
}
],
"metadata": {},
"skills": [
{
"type": "anthropic",
"skill_id": "<string>",
"version": "<string>"
}
],
"system": "<string>",
"tools": [
{
"type": "agent_toolset_20260401",
"configs": [
{
"name": "bash",
"type": "bash",
"enabled": true,
"permission_policy": {
"type": "auto"
}
}
],
"default_config": {
"enabled": true,
"permission_policy": {
"type": "auto"
}
}
}
],
"workload_trust": {
"declaration": {
"value": "trusted",
"recorded_at": "<string>"
},
"facts": {
"authorship": "organization_engineer",
"source_review": "workspace_controlled",
"execution_plane": "organization_local",
"input_exposure": {
"source_build": "controlled",
"ingress": "controlled",
"resources": "controlled",
"installations": "controlled",
"content_capabilities": "controlled"
}
},
"effective": "trusted"
},
"type": "agent",
"updated_at": "<string>",
"version": 123,
"skill_selection": {
"type": "listed",
"skills": [
{
"type": "anthropic",
"skill_id": "<string>",
"version": "<string>"
}
]
}
}
}{
"error": {
"type": "invalid_request_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed",
"code": "validation.malformed"
},
"type": "error",
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "authentication_error",
"code": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
},
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "permission_error",
"code": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
},
"request_id": "<string>"
}{
"error": {
"type": "not_found_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found",
"code": "validation.not_found"
},
"type": "error",
"request_id": "<string>"
}{
"error": {
"type": "conflict_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-conflict",
"code": "validation.conflict"
},
"type": "error",
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "rate_limit_error",
"code": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
},
"request_id": "<string>"
}{
"error": {
"type": "api_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal",
"code": "runtime.internal"
},
"type": "error",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
2026-08-31 Required string length:
1 - 255Path Parameters
Pattern:
^agent_[0-9a-f]{32}$Body
application/json